Asterisk messages popups in the terminal!?

Hi,

I just installed Asterisk18 and is experience a annoying problem. Whenever i use vi to edit a file, messages from Asterisk popups in the terminal window, what’s up with that?? And how can i stop these messages from poping up?

What messages? Are you sure you aren’t seeing messages from dahdi?

Hi,

Whenever i try to edit something with vi, messages from asterisk pupup and mess up my text in the vi editor. It is the same messages that popup when i run reload in CLI. I just don’t understand why they popup when i am editing something with vi. I find it verry strange !#%?

You have not provided any new information. What are the actual error messages?

(Also, how did you install Asterisk, and how did you start it?)

delete your logger.conf and create new one with info provided in other post and restart asterisk and see if issue goes away. How you start your asterisk and what os are you running it on.

I’am running CentOS 5 (final) and installed asterisk 1.8 via yum. I deleted the logger.conf and created the one you told me to, i also set the right premissinos to the file. But it did not help.

I have made a video of what’s happening, you can view it here -> mrmagne.com/files/popup.avi

[quote=“david55”]You have not provided any new information. What are the actual error messages?

(Also, how did you install Asterisk, and how did you start it?)[/quote]

  1. Installed CentOS 5 (final)

  2. yum -y upgrade

  3. Setup Asterisk repo acording to asterisk.org/downloads/yum

  4. yum install asterisk18 asterisk18-configs asterisk18-voicemail dahdi-linux dahdi-tools libpri

  5. asterisk -vvvgci

is there startup script that will start your asterisk at boot time ? it should be in /etc/init.d/

Yes,

[quote]#!/bin/sh

$Id: rc.redhat.asterisk 268534 2010-06-06 05:29:50Z tilghman $

asterisk Starts, Stops and Reloads Asterisk.

chkconfig: 2345 90 60

description: Asterisk PBX and telephony daemon.

processname: asterisk

pidfile: /var/run/asterisk/asterisk.pid

Thu Nov 17 2005 Gregory Boehnlein damin@nacs.net

- Updated Version to 1.3

- Reversed behavior of LD_ASSUME_KERNEL=2.4.1

- Added detailed failure messages

Sun Jul 18 2004 Gregory Boehnlein damin@nacs.net

- Updated Version to 1.2

- Added test for safe_asterisk

- Verified SIGTERM issued by “killproc” ensures “stop gracefully”

- Added support for -U and -G command line options

- Modified “reload” to call asterisk -rx ‘reload’

BEGIN INIT INFO

Provides: asterisk

Required-Start: $network $syslog $named $local_fs $remote_fs

Required-Stop: $network $syslog $named $local_fs $remote_fs

Should-Start: dahdi misdn lcr wanrouter mysql postgresql

Should-Stop: dahdi misdn lcr wanrouter mysql postgresql

Default-Start: 2 3 4 5

Default-Stop: 0 1 6

Short-Description: Asterisk PBX

Description: the Asterisk Open Source PBX

END INIT INFO

Use this option to specify a different configuration directory

#AST_CONFIG=/etc/asterisk

Installation directory

AST_SBIN=/usr/sbin

Source function library.

. /etc/rc.d/init.d/functions

if ! [ -x $AST_SBIN/asterisk ] ; then
echo "ERROR: $AST_SBIN/asterisk not found"
exit 0
fi

if ! [ -d $AST_CONFIG ] ; then
echo "ERROR: $AST_CONFIG directory not found"
exit 0
fi

Full path to asterisk binary

DAEMON=$AST_SBIN/asterisk

Full path to safe_asterisk script

SAFE_ASTERISK=$AST_SBIN/safe_asterisk

Allow configuration overrides in /etc/sysconfig/asterisk

CONFIG0=readlink $0
if [ “$CONFIG0” = “” ]; then
CONFIGFILE=/etc/sysconfig/basename $0
else
CONFIGFILE=/etc/sysconfig/basename $CONFIG0
fi
[ -r $CONFIGFILE ] && . $CONFIGFILE

RETVAL=0

start() {
# Check if Asterisk is already running. If it is, then bug out, because
# starting safe_asterisk when Asterisk is running is very bad.
VERSION=${AST_SBIN}/asterisk -rx 'core show version'
if [ “echo $VERSION | cut -c 1-8” = “Asterisk” ]; then
echo "Asterisk is already running."
exit 1
fi

# Start daemons.
echo -n $"Starting asterisk: "
    if [ -f $SAFE_ASTERISK ] ; then
	DAEMON=$SAFE_ASTERISK
fi
if [ $AST_USER ] ; then
	ASTARGS="-U $AST_USER"
fi
if [ $AST_GROUP ] ; then
	ASTARGS="$ASTARGS -G $AST_GROUP"
fi
if [ $AST_CONFIG ]; then
	ASTARGS="$ASTARGS -C $AST_CONFIG/asterisk.conf"
elif [ $ALTCONF ]; then
	ASTARGS="$ASTARGS -C $ALTCONF"
fi
if [ "x$COREDUMP" = "xyes" ]; then
	ASTARGS="$ASTARGS -g"
fi
if [ "0$MAXLOAD" -gt "0" ]; then
	ASTARGS="$ASTARGS -L $MAXLOAD"
fi
if [ "0$MAXCALLS" -gt "0" ]; then
	ASTARGS="$ASTARGS -M $MAXCALLS"
fi
if [ "0$VERBOSITY" -gt "0" ]; then
	for i in `seq 1 $VERBOSITY`; do
		ASTARGS="$ASTARGS -v"
	done
fi
if [ "x$INTERNALTIMING" = "xyes" ]; then
	ASTARGS="$ASTARGS -I"
fi
if [ "x$TEMPRECORDINGLOCATION" = "xyes" -o "x$TMPRECORDINGLOCATION" = "xyes" ]; then
	ASTARGS="$ASTARGS -t"
fi
if [ "x$COLOR" = "xyes" ]; then
	export TERM=linux
	daemon sh -c "$DAEMON $ASTARGS -c" >/dev/null </dev/null 2>&1 &
else
	daemon $DAEMON $ASTARGS
fi
RETVAL=$?
[ $RETVAL -eq 0 ] && touch /var/lock/subsys/asterisk
echo
return $RETVAL

}

stop() {
# Stop daemons.
if [ -f $SAFE_ASTERISK ]; then
# Kill safe_asterisk first, to prevent us from starting up 2 instances of safe_asterisk
echo -n $"Stopping safe_asterisk: "
killproc basename $SAFE_ASTERISK
echo
fi
echo -n $"Shutting down asterisk: "
killproc basename $DAEMON
RETVAL=$?
[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/asterisk
echo
return $RETVAL
}

restart() {
stop
start
}

reload() {
$DAEMON -rx ‘module reload’ > /dev/null 2> /dev/null
}

See how we were called.

case “$1” in
start)
start
;;
stop)
stop
;;
restart)
restart
;;
reload)
reload
;;
condrestart)
[ -f /var/lock/subsys/asterisk ] && restart || :
;;
status)
status asterisk
;;
*)
echo "Usage: asterisk {start|stop|restart|reload|condrestart|status}"
exit 1
esac

exit $?[/quote]

I should mention that i’am on a cloud server.

If you are doing this:

how are you managing to run the editor on the same console?

Asterisk will not perform well on a VM unless the VM host’s work load is carefully tailored.

lol… Started a new putty session and that solved the problem. Thanks to you both :smile: